svn commit: r208416 - projects/stress2/misc
Peter Holm
pho at FreeBSD.org
Sat May 22 15:13:41 UTC 2010
Author: pho
Date: Sat May 22 15:13:41 2010
New Revision: 208416
URL: http://svn.freebsd.org/changeset/base/208416
Log:
Three msdosfs test scenarios added.
Added:
projects/stress2/misc/msdos2.sh (contents, props changed)
projects/stress2/misc/msdos3.sh (contents, props changed)
projects/stress2/misc/msdos4.sh (contents, props changed)
Added: projects/stress2/misc/msdos2.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/stress2/misc/msdos2.sh Sat May 22 15:13:41 2010 (r208416)
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2010 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# panic: __lockmgr_args: recursing on non recursive lockmgr devfs @ ../../../kern/vfs_subr.c:2204
+# Scenario by kib@
+
+[ `id -u` -ne 0 ] && echo "Must be root!" && exit 1
+
+
+. ../default.cfg
+
+mount | grep "$mntpoint" | grep -q md$mdstart && umount -f $mntpoint
+mdconfig -l | grep -q $mdstart && mdconfig -d -u $mdstart
+
+mdconfig -a -t swap -s 1g -u $mdstart
+bsdlabel -w md${mdstart} auto
+newfs_msdos /dev/md${mdstart}a > /dev/null
+mount -t msdosfs /dev/md${mdstart}a $mntpoint
+
+u=$((mdstart + 1))
+mdconfig -l | grep -q $u && mdconfig -d -u $u
+mdconfig -a -t swap -s 1g -u $u
+bsdlabel -w md${u} auto
+newfs_msdos /dev/md${u}a > /dev/null
+mount -u /dev/md${u}a $mntpoint > /dev/null 2>&1 # panic
+
+ls $mntpoint > /dev/null
+
+while mount | grep "$mntpoint" | grep -q md$mdstart; do
+ umount $mntpoint || sleep 1
+done
+mdconfig -d -u $mdstart
+mdconfig -d -u $u
Added: projects/stress2/misc/msdos3.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/stress2/misc/msdos3.sh Sat May 22 15:13:41 2010 (r208416)
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2010 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Page fault seen
+# Scenario by kib@
+
+[ `id -u` -ne 0 ] && echo "Must be root!" && exit 1
+
+
+. ../default.cfg
+
+mount | grep "$mntpoint" | grep -q md$mdstart && umount -f $mntpoint
+mdconfig -l | grep -q $mdstart && mdconfig -d -u $mdstart
+
+mdconfig -a -t swap -s 1g -u $mdstart
+bsdlabel -w md${mdstart} auto
+newfs_msdos /dev/md${mdstart}a > /dev/null
+
+mount -t msdosfs /dev/md${mdstart}a $mntpoint
+mount -t msdosfs /dev/md${mdstart}a $mntpoint
+
+ls $mntpoint > /dev/null
+
+while mount | grep "$mntpoint" | grep -q md$mdstart; do
+ umount $mntpoint || sleep 1
+done
+mdconfig -d -u $mdstart
Added: projects/stress2/misc/msdos4.sh
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ projects/stress2/misc/msdos4.sh Sat May 22 15:13:41 2010 (r208416)
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2010 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+[ `id -u` -ne 0 ] && echo "Must be root!" && exit 1
+
+# "panic: leaf should be empty" seen
+
+. ../default.cfg
+
+mount | grep "$mntpoint" | grep -q md$mdstart && umount -f ${mntpoint}
+mdconfig -l | grep -q ${mdstart} && mdconfig -d -u $mdstart
+
+mdconfig -a -t swap -s 1g -u $mdstart
+bsdlabel -w md${mdstart} auto
+newfs_msdos /dev/md${mdstart}a > /dev/null
+mount -t msdosfs /dev/md${mdstart}a $mntpoint
+
+export RUNDIR=$mntpoint/stressX
+export runRUNTIME=20m
+export TESTPROGS='
+testcases/lockf2/lockf2
+testcases/openat/openat
+testcases/rw/rw
+testcases/fts/fts
+testcases/lockf/lockf
+testcases/creat/creat
+testcases/mkdir/mkdir
+testcases/rename/rename
+testcases/swap/swap
+'
+
+(cd ..; ./run.sh)
+
+while mount | grep "$mntpoint" | grep -q md$mdstart; do
+ umount $mntpoint || sleep 1
+done
+fsck -t msdosfs -y /dev/md${mdstart}a
+mdconfig -d -u $mdstart
More information about the svn-src-projects
mailing list